Loading...
Searching...
No Matches
xccdf_value Struct Reference
XCCDF

XCCDF Value allows test parametrization or capturing output of tests. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions

OSCAP_API struct xccdf_value * | xccdf_value_new (xccdf_value_type_t type)
OSCAP_API void | xccdf_value_free (struct xccdf_item *val)
OSCAP_API struct xccdf_item * | xccdf_value_to_item (struct xccdf_value *item)
OSCAP_API struct xccdf_value * | xccdf_value_clone (const struct xccdf_value *value)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API struct oscap_text_iterator * | xccdf_value_get_title (const struct xccdf_value *value)
OSCAP_API const char * | xccdf_value_get_id (const struct xccdf_value *value)
OSCAP_API struct oscap_text_iterator * | xccdf_value_get_description (const struct xccdf_value *value)
OSCAP_API const char * | xccdf_value_get_extends (const struct xccdf_value *value)
OSCAP_API bool | xccdf_value_get_abstract (const struct xccdf_value *value)
OSCAP_API bool | xccdf_value_get_prohibit_changes (const struct xccdf_value *value)
OSCAP_API bool | xccdf_value_get_hidden (const struct xccdf_value *value)
OSCAP_API bool | xccdf_value_get_interactive (const struct xccdf_value *value)
OSCAP_API struct xccdf_status_iterator * | xccdf_value_get_statuses (const struct xccdf_value *value)
OSCAP_API struct oscap_reference_iterator * | xccdf_value_get_dc_statuses (const struct xccdf_value *value)
OSCAP_API struct oscap_reference_iterator * | xccdf_value_get_references (const struct xccdf_value *value)
OSCAP_API struct xccdf_status * | xccdf_value_get_status_current (const struct xccdf_value *value)
OSCAP_API xccdf_value_type_t | xccdf_value_get_type (const struct xccdf_value *value)
OSCAP_API xccdf_interface_hint_t | xccdf_value_get_interface_hint (const struct xccdf_value *value)
OSCAP_API xccdf_operator_t | xccdf_value_get_oper (const struct xccdf_value *value)
OSCAP_API struct xccdf_value_instance * | xccdf_value_get_instance_by_selector (const struct xccdf_value *value, const char *selector)
OSCAP_API bool | xccdf_value_add_instance (struct xccdf_value *value, struct xccdf_value_instance *instance)
OSCAP_API struct xccdf_value_instance_iterator * | xccdf_value_get_instances (const struct xccdf_value *item)
OSCAP_API struct oscap_string_iterator * | xccdf_value_get_metadata (const struct xccdf_value *value)
OSCAP_API struct xccdf_value_instance * | xccdf_value_new_instance (struct xccdf_value *val)
OSCAP_API struct xccdf_item * | xccdf_value_get_parent (const struct xccdf_value *value)
| Return value's parent in the grouping hierarchy.
OSCAP_API const char * | xccdf_value_get_version (const struct xccdf_value *value)
OSCAP_API struct oscap_text_iterator * | xccdf_value_get_question (const struct xccdf_value *value)
OSCAP_API struct xccdf_warning_iterator * | xccdf_value_get_warnings (const struct xccdf_value *value)
OSCAP_API const char * | xccdf_value_get_version_update (const struct xccdf_value *value)
OSCAP_API const char * | xccdf_value_get_version_time (const struct xccdf_value *value)
OSCAP_API struct xccdf_benchmark * | xccdf_value_get_benchmark (const struct xccdf_value *value)
OSCAP_API struct oscap_string_iterator * | xccdf_value_get_sources (const struct xccdf_value *value)
OSCAP_API const char * | xccdf_value_get_cluster_id (const struct xccdf_value *value)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | xccdf_value_set_id (struct xccdf_value *item, const char *newval)
OSCAP_API bool | xccdf_value_set_cluster_id (struct xccdf_value *item, const char *newval)
OSCAP_API bool | xccdf_value_set_extends (struct xccdf_value *item, const char *newval)
OSCAP_API bool | xccdf_value_set_version (struct xccdf_value *item, const char *newval)
OSCAP_API bool | xccdf_value_set_version_time (struct xccdf_value *item, const char *newval)
OSCAP_API bool | xccdf_value_set_version_update (struct xccdf_value *item, const char *newval)
OSCAP_API bool | xccdf_value_set_abstract (struct xccdf_value *item, bool newval)
OSCAP_API bool | xccdf_value_set_hidden (struct xccdf_value *item, bool newval)
OSCAP_API bool | xccdf_value_set_multiple (struct xccdf_value *item, bool newval)
OSCAP_API bool | xccdf_value_set_prohibit_changes (struct xccdf_value *item, bool newval)
OSCAP_API bool | xccdf_value_set_oper (struct xccdf_value *item, xccdf_operator_t oper)
OSCAP_API bool | xccdf_value_set_interactive (struct xccdf_value *item, bool newval)
OSCAP_API bool | xccdf_value_add_metadata (struct xccdf_value *item, const char *metadata)
OSCAP_API bool | xccdf_value_add_description (struct xccdf_value *item, struct oscap_text *newval)
OSCAP_API bool | xccdf_value_add_question (struct xccdf_value *item, struct oscap_text *newval)
OSCAP_API bool | xccdf_value_add_reference (struct xccdf_value *item, struct oscap_reference *newval)
OSCAP_API bool | xccdf_value_add_status (struct xccdf_value *item, struct xccdf_status *newval)
OSCAP_API bool | xccdf_value_add_dc_status (struct xccdf_value *item, struct oscap_reference *newval)
OSCAP_API bool | xccdf_value_add_title (struct xccdf_value *item, struct oscap_text *newval)
OSCAP_API bool | xccdf_value_add_warning (struct xccdf_value *item, struct xccdf_warning *newval)

## Detailed Description

XCCDF Value allows test parametrization or capturing output of tests.

The documentation for this struct was generated from the following file:

- xccdf_benchmark.h